Subject: bug#38633: 27.0.50; Broken faces

From: Manuel Uberti <[email-masked]>
Date: Mon, 16 Dec 2019 08:56:33 +0100

On 16/12/19 08:48, Eli Zaretskii wrote:
> Are you saying that the problems were caused   by dd3f2130cf2 alone?  IOW, if you go back to d57bb0c323 (note: this is NOT the parent of dd3f2130cf2!), then the problems disappear?  

Thank you for the prompt reply. Using d57bb0c323 the problem disappears.

> In general, I don't understand what exactly is the face setup in your scenario (I don't use helm), even afyer reading the issue you referred to.  So I will need a detailed description of what happens in that use case, including whether there are display strings or overlays involved, and what are the faces in effect there.  For best results, please provide a reproduction recipe starting from "emacs -Q", preferably not involving helm at all.

It's hard for me to provide a recipe without Helm, because I only noticed the
problem within Helm. The Helm face involved here appears to be `helm-source-header`.

Helm repository contains a script (`emacs-helm.sh`), which when will give you a
clean Emacs session from `emacs -Q` with only Helm enabled.

Kind regards

-- 
Manuel Uberti